#[derive(Debug)]
struct Constraint {
    red: i32,
    green: i32,
    blue: i32,
}
fn main() {
    let input = include_str!("./input.txt");
    let real_constraint = Constraint {
        red: 12,
        green: 13,
        blue: 14,
    };
    let output = process(input, &real_constraint);
    println!("{}", output);
}

fn process(input: &str, constraint: &Constraint) -> i32 {
    // split on : [0] is game [1] is rounds
    // get game number
    // split rounds on ; [x] is a round
    // split round on , [x] is a draw
    // split draw on " " [0] is amount [1] is colour
    0
}
#[cfg(test)]
mod tests {
    use super::*;
    #[test]
    fn test_logic() {
        let input = include_str!("./testinput.txt");
        let test_constraint = Constraint {
            red: 12,
            green: 13,
            blue: 14,
        };
        assert_eq!(process(input, &test_constraint), 8);
    }
}
